Bug 230059 - net/owamp: Don't assume the two-argument version of timespecadd
Summary: net/owamp: Don't assume the two-argument version of timespecadd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-26 14:53 UTC by Alan Somers
Modified: 2018-07-30 08:15 UTC (History)
0 users

See Also:
pi: maintainer-feedback+
pi: merge-quarterly+


Attachments
Unconditionally define a private timespecadd (2.09 KB, patch)
2018-07-26 14:53 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2018-07-26 14:53:18 UTC
Created attachment 195476 [details]
Unconditionally define a private timespecadd

net/owamp assumes that if timespecadd is defined, it's identical to the two-argument version found in the FreeBSD kernel.  However, the three argument version found in NetBSD and OpenBSD is actually more common.  An upcoming commit to head will replace FreeBSD's version with the NetBSD version.  So net/owamp shouldn't assume that if FreeBSD defines timespecadd, it's defining the 2-argument version.
Comment 1 Kurt Jaeger freebsd_committer 2018-07-26 18:17:42 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2018-07-26 18:18:31 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 26 18:17:30 UTC 2018
New revision: 475393
URL: https://svnweb.freebsd.org/changeset/ports/475393

Log:
  net/owamp: Unconditionally define a private timespecadd

  net/owamp assumes that if timespecadd is defined, it's identical
  to the two-argument version found in the FreeBSD kernel.  However,
  the three argument version found in NetBSD and OpenBSD is actually
  more common.  An upcoming commit to head will replace FreeBSD's
  version with the NetBSD version.  So net/owamp shouldn't assume
  that if FreeBSD defines timespecadd, it's defining the 2-argument
  version.

  PR:		230059
  Submitted by:	asomers

Changes:
  head/net/owamp/files/
  head/net/owamp/files/patch-owamp_owamp.h
Comment 3 Alan Somers freebsd_committer 2018-07-27 17:38:50 UTC
Thanks for fixing this so quickly.  Could you also please MFH?  Otherwise the quarterly branch will start failing to build on head once I make the change to src.
Comment 4 Kurt Jaeger freebsd_committer 2018-07-28 10:49:43 UTC
(asked portmgr@ for MFH approval by mail)
Comment 5 commit-hook freebsd_committer 2018-07-30 08:13:27 UTC
A commit references this bug:

Author: pi
Date: Mon Jul 30 08:12:24 UTC 2018
New revision: 475868
URL: https://svnweb.freebsd.org/changeset/ports/475868

Log:
  MFH: r475393

  net/owamp: Unconditionally define a private timespecadd

  net/owamp assumes that if timespecadd is defined, it's identical
  to the two-argument version found in the FreeBSD kernel.  However,
  the three argument version found in NetBSD and OpenBSD is actually
  more common.  An upcoming commit to head will replace FreeBSD's
  version with the NetBSD version.  So net/owamp shouldn't assume
  that if FreeBSD defines timespecadd, it's defining the 2-argument
  version.

  PR:		230059
  Submitted by:	asomers
  Approved by:	portmgr (bapt)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/net/owamp/files/
Comment 6 Kurt Jaeger freebsd_committer 2018-07-30 08:15:31 UTC
Committed, thanks!